SDL_OpenStorage(3)

NAME
SDL_OpenStorage - Opens up a container using a client-provided storage interface.

HEADER FILE
Defined in SDL3/SDL_storage.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Storage* SDL_OpenStorage(const SDL_StorageInterface *iface, void *userdata);

DESCRIPTION
Applications do not need to use this function unless they are providing their own SDL_Storage
 implementation. If you just need an SDL_Storage , you should use the built-in implementations in SDL, like SDL_OpenTitleStorage () or SDL_OpenUserStorage ().

FUNCTION PARAMETERS

iface
    the function table to be used by this container

userdata
    the pointer that will be passed to the store interface

RETURN VALUE
Returns a storage container on success or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_CloseStorage(3), SDL_GetStorageFileSize(3), SDL_GetStorageSpaceRemaining(3), SDL_ReadStorageFile(3), SDL_StorageReady(3), SDL_WriteStorageFile(3)